//
//  EmerHandViewController.swift
//  Em-call
//
//  Created by Alex Sh on 17.02.2022.
//

import UIKit

class EmerHandViewController: UIViewController, UITableViewDataSource,
                              UITableViewDelegate
{

    @IBOutlet weak var tableView: UITableView!
    let trackList = Track.getTrackList()
    let cellReuseIdentifier = "cell"
    var address = "Unknow address"
    var dateAndTime = "2022/02/23"
    var contact = "+1 123 112 11 22"
    var card = "**** **** **** 1234"

    
    override func viewDidLoad() {
        super.viewDidLoad()

        tableView.register(UITableViewCell.self, forCellReuseIdentifier: cellReuseIdentifier)
      tableView.rowHeight = 45
       tableView.delegate = self
       tableView.dataSource = self
    }
    
    @IBAction func BOOK_Click(_ sender: Any) {
        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        let vc:UIViewController
        if #available(iOS 13.0, *) {
             vc = storyboard.instantiateViewController(identifier: "BookingVK") as! VKBookingViewController
        } else {
            vc = storyboard.instantiateViewController(withIdentifier: "BookingVK")
        }
       // navigationController?.isNavigationBarHidden = true
         navigationController?.pushViewController(vc, animated: true)
    }
    //
    
    @IBAction func butBackClick(_ sender: Any) {
        _  = self.navigationController?.popViewController( animated: true)
      /*  let storyboard = UIStoryboard(name: "Main", bundle: nil)
        weak var vc:UIViewController?
        if #available(iOS 13.0, *) {
             vc = storyboard.instantiateViewController(identifier: "ChildMainVC") as! VKBookingViewController
        } else {
      
            vc = storyboard.instantiateViewController(withIdentifier: "ChildMainVC")
      //  if vc != nil {
      //  }
            navigationController?.pushViewController(vc!, animated: true)
        }*/
    }
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {

        return 1
    }
    
     func numberOfSections(in tableView: UITableView) -> Int {
        return 4
    }// Default is 1 if not implemented
    
   func tableView(_ tableView: UITableView, titleForHeaderInSection                                 section: Int) -> String? {
       switch section {
        case 0:            return ("Work location")
        case 1:            return ("Date and Time")
        case 2:            return ("Your contacts")
        case 3:            return ("Payment")
        default:            return ("Work location")
        }     // return ("Work location")
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
          let cell = tableView.dequeueReusableCell(withIdentifier: cellReuseIdentifier, for: indexPath)
                    //let track = trackList[indexPath.row]
        let section = indexPath.section
        switch section {
        case 0:            cell.textLabel?.text = address
        case 1:            cell.textLabel?.text = dateAndTime
        case 2:            cell.textLabel?.text = contact
        case 3:            cell.textLabel?.text = card
        default:           break
        }
         cell.accessoryType = UITableViewCell.AccessoryType.disclosureIndicator
          return cell
    }
    // method to run when table view cell is tapped
     func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
         print("You tapped cell number \(indexPath.row).")
        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        let nameXibName = ["Map","Calendar"]
        let section = indexPath.section
        var vc:UIViewController
        switch section        //if indexPath.row == 0
        {
        case 0:
               vc = storyboard.instantiateViewController(withIdentifier: nameXibName[0])
                 (vc as! MapViewController).delegate = self
            navigationController?.pushViewController(vc , animated: true)
            return
        case 1:
                 vc = storyboard.instantiateViewController(withIdentifier: nameXibName[1])
              (vc as! CalendarViewController).delegate = self
            navigationController?.pushViewController(vc, animated: true)
            return
        case 2:
             vc = storyboard.instantiateViewController(withIdentifier: nameXibName[1])
         (vc as! CalendarViewController).delegate = self
            navigationController?.pushViewController(vc, animated: true)
        case 3:
             vc = storyboard.instantiateViewController(withIdentifier: nameXibName[1])
        (vc as! CalendarViewController).delegate = self
            navigationController?.pushViewController(vc, animated: true)
        default:            return
        }
     }
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destination.
        // Pass the selected object to the new view controller.
    }
    */

}

extension EmerHandViewController:MapViewControllerDelegate {
    func delegateClick(text:String) {
        address = text
     //   NotificationCenter.default.post(name: NSNotification.Name(rawValue: "delegateClick"), object: nil)
        tableView.reloadData()
    }
}
extension EmerHandViewController:CalendarViewControllerDelegate {
    func calendarDelegateClick(text:String,flagData:Int) {
 
        switch flagData {
        case 0:
            dateAndTime = text
        case 1:
            contact = text
        case 2:
            card = text
        default:
            break
        }
        tableView.reloadData()
    }
    
}
